---
{%- from "headscale/map.jinja" import headscale with context %}
headscale-configpath-dir:
  file.directory:
    - name: {{ headscale.config_path }}
    - user: {{ headscale.user.uid }}
    - group: {{ headscale.group.gid }}
    - makedirs: true
    - watch_in:
      - service: headscale-service

headscale-config:
  file.managed:
    - name: {{ headscale.config_path }}/config.yaml
    - source: salt://headscale/templates/config.yaml.j2
    - user: {{ headscale.user.uid }}
    - group: {{ headscale.group.gid }}
    - template: jinja
    - watch_in:
      - service: headscale-service

headscale-config-derp:
  file.managed:
    - name: {{ headscale.config_path }}/derp.yaml
    - source: salt://headscale/templates/derp.yaml.j2
    - user: {{ headscale.user.uid }}
    - group: {{ headscale.group.gid }}
    - template: jinja
    - watch_in:
      - service: headscale-service

headscale-policy:
  file.managed:
    - name: {{ headscale.config_path }}/policy.json
    - source: salt://headscale/templates/policy.json.j2
    - user: {{ headscale.user.uid }}
    - group: {{ headscale.group.gid }}
    - template: jinja
    - watch_in:
      - service: headscale-service

headscale-policy-update:
  file.managed:
    - name: {{ headscale.config_path }}/update_policy.sh
    - source: salt://headscale/templates/update_policy.sh
    - user: {{ headscale.user.uid }}
    - group: {{ headscale.group.gid }}
    - watch_in:
      - service: headscale-service
