---
{%- from "neovim/map.jinja" import neovim with context %}
neovim-plugin-git-dep:
  pkg.installed:
    - pkgs:
        - git
        - python3-jedi
        - yamllint

neovim-plugin-dirs:
  file.directory:
    - name: {{ neovim.plugins_dir }}
    - makedirs: true

{%- for name, value in neovim.plugins.items() %}
{% if not salt.file.directory_exists(neovim.plugins_dir+'/'+name) %}
{% set vals = value.split("@") %}
neovim-plugin-{{ name }}:
  git.latest:
    - name: {{ vals[0] }}
    - target: {{ neovim.plugins_dir }}/{{ name }}
    - rev: {{ vals[1]|default('HEAD') }}
    - force_reset: true
    - submodules: true
    - parallel: true
    - require:
      - file: neovim-plugin-dirs
{%- endif %}
{%- endfor %}
