---
{% if not salt.file.file_exists("/usr/share/oh-my-zsh") %}
zsh-omz-repo:
  git.latest:
    - name: https://github.com/robbyrussell/oh-my-zsh.git
    - target: /usr/share/oh-my-zsh
    - branch: master
    - require:
      - pkg: zsh-pkg
{% endif %}

{% if not salt.file.file_exists("/usr/share/oh-my-zsh/plugins/zsh-autosuggestions") %}
zsh-autosuggestions-repo:
  git.latest:
    - name: https://github.com/zsh-users/zsh-autosuggestions.git
    - target: /usr/share/oh-my-zsh/plugins/zsh-autosuggestions
    - branch: master
    - require:
      - pkg: zsh-pkg
{% endif %}

zsh-omz-env:
  file.managed:
    - name: /etc/zsh/zshenv
    - source: salt://zsh/templates/zshenv.j2
    - user: root
    - group: root
    - mode: 0644
    - template: jinja
    - require:
      - pkg: zsh-pkg
